# Programme conu par GRAC Spé PC, le 18/04/2020 avec EduPython
#from lycee import *

# Importation des bibliothèques
import numpy as np
import matplotlib.pyplot as plt

# Demande de la valeur du pKa
k = float(input("Entrez la valeur du pKa: "))
print("pour ce couple acide-base, le pkA vaut :", k)

#Fonction a et b donnant le pourcentage de chaque espèce
pH = np.linspace(0, 14, 100)
a = 100*(10**(-pH))/(10**(-pH)+10**-k)
b = 100-a

# Mesures d'absorbances et de pH


#Tracé des courbes et affichage des légendes
plt.plot
plt.plot(pH, a, "r--", label="% d'acide")
plt.plot(pH, b, "b", label="% de base")
plt.xlabel("pH")
plt.ylabel("pourcentages de chaque espèce")
plt.legend(loc = "center right")
plt.title("diagramme de distribution du couple acide-base")
plt.show()
